Package de.willuhn.jameica.hbci.rmi

# Interface Turnus

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `Checksum`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `TurnusImpl`

public interface Turnus extends HibiscusDBObject, Checksum
Bildet einen Turnus bei wiederkehrenden Zahlungen ab.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ZEITEINHEIT_MONATLICH`
Konstante fuer Zeiteinheit monatlich.
`static final int`
`ZEITEINHEIT_WOECHENTLICH`
Konstante fuer Zeiteinheit woechentlich.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBezeichnung()`
Liefert eine sprechende Bezeichnung des Intervalls.
`int`
`getIntervall()`
Liefert die Anzahl der Intervalle zwischen den Zahlungen.
`int`
`getTag()`
Liefert den Tag, an dem die Zahlung innerhalb der Zeiteinheit ausgefuehrt werden soll.
`int`
`getZeiteinheit()`
Liefert eine Konstante fuer die Zeiteinheit.
`boolean`
`isInitial()`
Liefert `true` wenn es sich bei dem Turnus um Initial-Daten von Hibiscus handelt, die nicht geloescht werden koennen.
`void`
`setIntervall(int intervall)`
Speichert die Anzahl der Intervalle zwischen den Zahlungen.
`void`
`setTag(int tag)`
Speichert den Tag, an dem die Zahlung innerhalb der Zeiteinheit ausgefuehrt werden soll.
`void`
`setZeiteinheit(int zeiteinheit)`
Speichert die Zeiteinheit.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Checksum

`getChecksum`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Field Details

### ZEITEINHEIT_WOECHENTLICH

static final int ZEITEINHEIT_WOECHENTLICH
Konstante fuer Zeiteinheit woechentlich.

See Also:
  - Constant Field Values

### ZEITEINHEIT_MONATLICH

static final int ZEITEINHEIT_MONATLICH
Konstante fuer Zeiteinheit monatlich.

See Also:
  - Constant Field Values

## Method Details

### getBezeichnung

String getBezeichnung() throws RemoteException
Liefert eine sprechende Bezeichnung des Intervalls.

Returns:
  Bezeichnung des Intervalls.
Throws:
  `RemoteException`

### getIntervall

int getIntervall() throws RemoteException
Liefert die Anzahl der Intervalle zwischen den Zahlungen. Beispiele:

- Zahlung wochentlich: Intervall = `1`, Zeiteinheit = `ZEITEINHEIT_WOECHENTLICH`
- Zahlung alle 2 Wochen: Intervall = `2`, Zeiteinheit = `ZEITEINHEIT_WOECHENTLICH`
- Vierteljaehrlich (quartalsweise): Intervall = `3`, Zeiteinheit = `ZEITEINHEIT_MONATLICH`
- Jaehrlich: Intervall = `12`, Zeiteinheit = `ZEITEINHEIT_MONATLICH`

Returns:
  Anzahl der Intervalle zwischen den Zahlungen.
Throws:
  `RemoteException`

### setIntervall

void setIntervall(int intervall) throws RemoteException
Speichert die Anzahl der Intervalle zwischen den Zahlungen.

Parameters:
  `intervall` - Anzahl der Intervalle.
Throws:
  `RemoteException`

### getZeiteinheit

int getZeiteinheit() throws RemoteException
Liefert eine Konstante fuer die Zeiteinheit. Ist der Rueckgabewert = `ZEITEINHEIT_WOECHENTLICH`, dann wird woechentlich oder zu einem Vielfachen einer Woche gezahlt.
Bei einem Rueckgabewert = `ZEITEINHEIT_MONATLICH` wird monatlich oder einem Vielfachen eines Monats gezahlt.

Returns:
  Zeiteinheit.
Throws:
  `RemoteException`

### setZeiteinheit

void setZeiteinheit(int zeiteinheit) throws RemoteException
Speichert die Zeiteinheit.

Parameters:
  `zeiteinheit` - Kann einen der beiden Werte `ZEITEINHEIT_WOECHENTLICH` oder `ZEITEINHEIT_MONATLICH` besitzen.
Throws:
  `RemoteException`

### getTag

int getTag() throws RemoteException
Liefert den Tag, an dem die Zahlung innerhalb der Zeiteinheit ausgefuehrt werden soll.

Returns:
  Tag, an dem die Zahlung erfolgt. Handelt es sich um eine monatliche Zahlung (`ZEITEINHEIT_MONATLICH`), kann der Wert zwischen 1 und 31 liegen (Tage des Monats). Bei woechentlicher Zahlung (`ZEITEINHEIT_WOECHENTLICH`), wird ein Wert zwischen 1 und 7 zurueckgeliefert (Wochentag) wobei 1 Montag ist und 7 demzufolge Sonntag.
Throws:
  `RemoteException`

### setTag

void setTag(int tag) throws RemoteException
Speichert den Tag, an dem die Zahlung innerhalb der Zeiteinheit ausgefuehrt werden soll.

Parameters:
  `tag` - Tag, an dem die Zahlung erfolgt.
Throws:
  `RemoteException`

### isInitial

boolean isInitial() throws RemoteException
Liefert `true` wenn es sich bei dem Turnus um Initial-Daten von Hibiscus handelt, die nicht geloescht werden koennen.

Returns:
  true, wenn der Datensatz nicht geloescht werden kann.
Throws:
  `RemoteException`